Check Balance

API to get remaining balance in your IDSL wallet.

Path

MethodPath
POSTapi/check-balance

Request Body

AttributesTypeDescriptionMandatory
usernameStringYour registered phone numberYes
signStringSignature. Value: md5(username+api_key+'bl')Yes
currencyStringCurrency IDR or USD
default: IDR
No
{
  "username" : "123123123",
  "sign"     : "df5e80e8ab7f94a905617282ad8c26f3",
  "currency" : "IDR"
}
<?xml version="1.0" ?>
<mp>
  <username>123123123</username>
  <sign>df5e80e8ab7f94a905617282ad8c26f3</sign>
  <currency>IDR</currency>
</mp>

Response

AttributesTypeDescriptionMandatory
balanceDoubleYour balanceYes
messageStringMessageYes
rcStringResponse code. See response code listYes
currencyStringCurrencyYes
{
  "data": {
    "balance": 997136249,
    "message": "SUCCESS",
    "rc": "00",
    "currency": "IDR"
  }
}
<?xml version="1.0"?>
<mp>
  <balance>997136249</balance>
  <message>SUCCESS</message>
  <rc>00</rc>
  <currency>IDR</currency>
</mp>

Live Testing

Request URL
https://prepaid.iak.dev/api/check-balance
Request Method
Request Header
Content-Type: application/json
Body
Result